Skip to main content
PATCH
Update Candidate

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

x-account-id
string
required

The account identifier

Prefer
string

Set to "heartbeat" to enable keep-alive newline heartbeats during long-running requests. Response includes Preference-Applied: heartbeat header when honored. (RFC 7240)

Example:

"heartbeat"

Path Parameters

id
string
required

Body

application/json
passthrough
object | null

Value to pass through to the provider

Example:
unified_custom_fields
object | null

Custom Unified Fields configured in your StackOne project

Example:
name
string | null

Candidate name

Example:

"Romain Sestier"

first_name
string | null

Candidate first name

Example:

"Romain"

last_name
string | null

Candidate last name

Example:

"Sestier"

email
string | null

Candidate email

Example:

"sestier.romain123@gmail.com"

emails
object[] | null

List of candidate emails

List of candidate social links

phone
string | null
deprecated

Candidate phone number

Example:

"+16178294093"

phone_numbers
object[] | null

List of candidate phone numbers including the type of the number when available

company
string | null

Candidate company

Example:

"Company Inc."

title
string | null

Candidate title

Example:

"Software Engineer"

application_ids
string[] | null

List of candidate application IDs

Example:
hired_at
string<date-time> | null

Candidate hired date

Example:

"2021-01-01T01:01:01.000Z"

country
string | null

Candidate country

Example:

"United States"

custom_fields
object[] | null

The candidate custom fields

Response

The candidate was successfully updated.

statusCode
number
required
Example:

201

message
string
required
Example:

"Record created successfully."

timestamp
string<date-time>
required
Example:

"2021-01-01T01:01:01.000Z"

data
object
required